Download it now!
Bug 114838 - Area Fill Bitmap SVG import
Summary: Area Fill Bitmap SVG import
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: SVG-Import Object-Fill-Bitmap
  Show dependency treegraph
 
Reported: 2018-01-04 19:59 UTC by andreas_k
Modified: 2019-01-06 04:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
1px frame around inserted svg Bitmap (42.48 KB, image/png)
2018-01-04 19:59 UTC, andreas_k
Details
different input file formats (55.04 KB, application/pdf)
2018-01-04 20:06 UTC, andreas_k
Details
odt file with the bitmaps (76.67 KB, application/vnd.oasis.opendocument.text)
2018-01-04 21:30 UTC, andreas_k
Details
Shape with stroke-width="1" (281 bytes, image/svg+xml)
2018-01-05 12:49 UTC, Regina Henschel
Details
Shape with stroke="none" (261 bytes, image/svg+xml)
2018-01-05 12:49 UTC, Regina Henschel
Details
Shape with internal scale to 10cm width (596 bytes, image/svg+xml)
2018-01-05 13:12 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2018-01-04 19:59:21 UTC
Created attachment 138885 [details]
1px frame around inserted svg Bitmap

When you draw a Shape you can add an Bitmap as Area fill.

Insert an svg file works perfect. Everything is sharp and fine, the only problem is that there is a 1px frame around the svg bitmap. How can I remove the 1px white frame.
Comment 1 andreas_k 2018-01-04 20:06:18 UTC
Created attachment 138886 [details]
different input file formats

the problem is that when you insert instead of svg png or jpg the final quality isn't what needed.
Comment 2 Regina Henschel 2018-01-04 20:34:37 UTC
Please attach the original document.

Are you sure, that it is a problem of LibreOffice? If I view the attached pdf-file in Acrobat Reader and vary the zoom, then sometimes I see a small line and sometimes not.
Comment 3 andreas_k 2018-01-04 21:27:30 UTC
for this I also add the screenshot. The issue is in LibreOffice maybe the 1px line will shown different at different pdf viewers.
Comment 4 andreas_k 2018-01-04 21:30:47 UTC
Created attachment 138889 [details]
odt file with the bitmaps
Comment 5 Regina Henschel 2018-01-05 12:48:12 UTC
I think, that it is not a problem of tile, but a problem with wrong filling size in case a shape has no stroke. Insert the two attached svg into a draw document and enlarge them to 10cm. The shape with stroke-width="1" shows a border of 0.1mm. That is correct because stroke-width="1" maps to 0.001cm, because 1000 from viewbox maps to 1cm. So we get 0.001cm=0.01mm, enlarged with factor 10 results in 0.1mm. Notice, that the entire area within the border is filled. But the shape with stroke="none" shows a filling, which is smaller than that of the shape with stroke. In fact is has a 1.3mm wide transparent area. A grid of 1mm and zoom 3000% helps you see it.
Comment 6 Regina Henschel 2018-01-05 12:49:12 UTC
Created attachment 138899 [details]
Shape with stroke-width="1"
Comment 7 Regina Henschel 2018-01-05 12:49:57 UTC
Created attachment 138900 [details]
Shape with stroke="none"
Comment 8 Regina Henschel 2018-01-05 13:12:36 UTC
Created attachment 138902 [details]
Shape with internal scale to 10cm width

I had scaled both svg-image to 10cm in Position&Size dialog.

If you insert the image "Shape with internal scale to 10cm width", then you will notice, that the inserted image does not have 10cm width but 10.03cm width. It seems as if some outer distance is added.
Comment 9 QA Administrators 2019-01-06 04:19:41 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug